package com.ssm.manage.mapper;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.RechargeAccount;
import com.ssm.manage.query.RechargeAccountRequest;
import com.ssm.manage.response.RechargeAccountResponse;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Component
public interface RechargeAccountMapper extends BaseMapper<RechargeAccount> {

    int updateMoney(List<RechargeAccount> list);

    int insertBatch(@RequestParam("list")List<RechargeAccount> list);

    List<RechargeAccountResponse> memberRecharge(RechargeAccountRequest rechargeAccountRequest);

    List<RechargeAccount> selectByPrimaryKeyList(@Param("rechargeAccountIdList") List<Long> rechargeAccountIdList);

    RechargeAccount selectByMemberIdAndRechargeTypeIdAndMoney(RechargeAccount rechargeAccount);

    List<RechargeAccount> exportachi(RechargeAccountRequest rechargeAccountRequest);
}